package com.bizmatics.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.common.core.util.DateUtils;
import com.bizmatics.model.Device;
import com.bizmatics.model.HtAnalogData;
import com.bizmatics.persistence.mapper.DeviceMapper;
import com.bizmatics.persistence.mapper.HtAnalogDataMapper;
import com.bizmatics.service.DeviceService;
import com.bizmatics.service.vo.DeviceCountVO;
import lombok.Synchronized;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 设备
 *
 * @author ya
 * @since 2021-07-07
 */
@Slf4j
@RestController
@RequestMapping("/device")
public class DeviceController {
    @Autowired
    private DeviceService deviceService;

    @Autowired
    private DeviceMapper deviceMapper;

    @Autowired
    private HtAnalogDataMapper htAnalogDataMapper;


    /**
     * 查询设备总数
     * @param startTime
     * @param endTime
     * @return
     */
    @GetMapping("/count")
    public ApiResult<DeviceCountVO> count(@RequestParam Date startTime, @RequestParam Date endTime){
        return ApiResult.success(deviceService.selectDeviceCount(startTime,endTime));
    }


    /**
     * 查询不同类型的设备数量
     * @param site 站点id
     * @return
     */
    @GetMapping("/deviceTypeCount")
    public ApiResult<DeviceCountVO> selectDeviceCountByType(@RequestParam Integer site){
        return ApiResult.success(deviceService.selectDeviceCountByType(site));
    }

    @GetMapping("/test")
    public List<String> test(){
        List<Device> list = deviceMapper.list(1, null, null, null, null, null);
        List<String> list1 = new ArrayList<>();
        for (Device device:list) {
            long l = System.currentTimeMillis();
            List<HtAnalogData> list2 = htAnalogDataMapper.list(DateUtils.addYears(new Date(), -10), new Date(), device.getDeviceCode());
            long e = System.currentTimeMillis();
            log.info("一个站点的数据获取时间"+(e-l));
        }
        return list1;
    }
}

