package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.apache.lucene.index.IndexFormatTooNewException;

/**
 * <p>
 * 电力告警
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class AlarmPower implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 电力告警表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 阿里云平台设备名称
     */
    private String deviceCode;

    /**
     * 告警名称
     */
    private String alarmName;

    /**
     * 发送时间
     */
    private Date sendingTime;

    /**
     * 告警类型（alert 告警）
     */
    private String alarmType;

    /**
     * 测点名称
     */
    private String measName;

    /**
     * 遥信值（0  正常  1 告警）
     */
    private Integer digitalValue;

    /**
     * 测点描述
     */
    private String measDesc;

    /**
     * 发生时间
     */
    private Date soeTime;

    /**
     * 处理人
     */
    private String handler;

    /**
     * 处理时间
     */
    private Date handlingTime;

    /**
     * 处理内容
     */
    private String handlingContent;

    /**
     * 联系电话
     */
    private String handlerPhone;

    /**
     * 处理状态（0 未处理，1 已处理）
     */
    private Integer handlingStatus;

    @TableField(exist = false)
    private Integer siteId;


}
