package com.bizmatics.model.es;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author yq
 * @date 2021/7/17 18:25
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@Document(indexName = "fiveep",type = "rtAnalog", shards = 1, replicas = 0)
public class RtAnalog {

    @Id
    private Integer id;

    /**
     * 阿里云平台设备名称
     */
    @Field(type = FieldType.Keyword)
    private String deviceName;

    /**
     * 母线停电次数
     */
    @Field(type = FieldType.Integer)
    private Integer Busot;

    /**
     * 三相功率因数
     */
    @Field(type = FieldType.Double)
    private Double cos;

    /**
     * A相功率因数
     */
    @Field(type = FieldType.Double)
    private Double COSa;

    /**
     * B相功率因数
     */
    @Field(type = FieldType.Double)
    private Double COSb;

    /**
     * C相功率因数
     */
    @Field(type = FieldType.Double)
    private Double COSc;

    /**
     * 实时有功需量
     */
    @Field(type = FieldType.Double)
    private Double Demand;

    /**
     * 设备复位次数
     */
    @Field(type = FieldType.Integer)
    private Integer DevResetTimes;

    /**
     * 设备温度
     */
    @Field(type = FieldType.Double)
    private Double DeviceTemp;

    /**
     * 三相反向有功电度
     */
    @Field(type = FieldType.Double)
    private Double Epn;

    /**
     * 尖段反向有功电度
     */
    @Field(type = FieldType.Double)
    private Double Epn1;

    /**
     * 峰段反向有功电度
     */
    @Field(type = FieldType.Double)
    private Double Epn2;

    /**
     * 平段反向有功电度
     */
    @Field(type = FieldType.Double)
    private Double Epn3;

    /**
     * 谷段反向有功电度
     */
    @Field(type = FieldType.Double)
    private Double Epn4;

    /**
     * 三相正向有功电度
     */
    @Field(type = FieldType.Double)
    private Double Epp;

    /**
     * 尖段正向有功电度
     */
    @Field(type = FieldType.Double)
    private Double Epp1;

    /**
     * 峰段正向有功电度
     */
    @Field(type = FieldType.Double)
    private Double Epp2;

    /**
     * 平段正向有功电度
     */
    @Field(type = FieldType.Double)
    private Double Epp3;

    /**
     * 谷段正向有功电度
     */
    @Field(type = FieldType.Double)
    private Double Epp4;

    /**
     * 三相反向无功电度
     */
    @Field(type = FieldType.Double)
    private Double Eqn;

    /**
     * 三相正向无功电度
     */
    @Field(type = FieldType.Double)
    private Double Eqp;

    /**
     * 频率
     */
    @Field(type = FieldType.Double)
    private Double f;

    /**
     * 零序电流
     */
    @Field(type = FieldType.Double)
    private Double i0;

    /**
     * 负序电流
     */
    @Field(type = FieldType.Double)
    private Double i2;

    /**
     * A相总谐波电流
     */
    @Field(type = FieldType.Double)
    private Double IHa;

    /**
     * B相总谐波电流
     */
    @Field(type = FieldType.Double)
    private Double IHb;

    /**
     * C相总谐波电流
     */
    @Field(type = FieldType.Double)
    private Double IHc;

    /**
     * A相电流
     */
    @Field(type = FieldType.Double)
    private Double Ia;

    /**
     * B相电流
     */
    @Field(type = FieldType.Double)
    private Double Ib;

    /**
     * C相电流
     */
    @Field(type = FieldType.Double)
    private Double Ic;

    /**
     * 剩余电流
     */
    @Field(type = FieldType.Double)
    private Double Ir;

    /**
     * 昨日有功最大需量
     */
    @Field(type = FieldType.Double)
    private Double LastDayMD;

    /**
     * 昨日有功最大需量发生时间
     */
    @Field(type = FieldType.Double)
    private Double LastDayMDt;

    /**
     * 三相总有功功率
     */
    @Field(type = FieldType.Double)
    private Double p;

    /**
     * A相有功功率
     */
    @Field(type = FieldType.Double)
    private Double Pa;

    /**
     * B相有功功率
     */
    @Field(type = FieldType.Double)
    private Double Pb;

    /**
     * C相有功功率
     */
    @Field(type = FieldType.Double)
    private Double Pc;

    /**
     * 三相总无功功率
     */
    @Field(type = FieldType.Double)
    private Double q;

    /**
     * A相无功功率
     */
    @Field(type = FieldType.Double)
    private Double Qa;

    /**
     * B相无功功率
     */
    @Field(type = FieldType.Double)
    private Double Qb;

    /**
     * C相无功功率
     */
    @Field(type = FieldType.Double)
    private Double Qc;

    /**
     * 信号强度
     */
    @Field(type = FieldType.Double)
    private Double SignalIntensity;

    /**
     * 第1路温度
     */
    @Field(type = FieldType.Double)
    private Double t1;

    /**
     * 第2路温度
     */
    @Field(type = FieldType.Double)
    private Double t2;

    /**
     * 第3路温度
     */
    @Field(type = FieldType.Double)
    private Double t3;

    /**
     * 第4路温度
     */
    @Field(type = FieldType.Double)
    private Double t4;

    /**
     * A相电压THD
     */
    @Field(type = FieldType.Double)
    private Double THDUa;

    /**
     * B相电压THD
     */
    @Field(type = FieldType.Double)
    private Double THDUb;

    /**
     * C相电压THD
     */
    @Field(type = FieldType.Double)
    private Double THDUc;

    /**
     * A相电压
     */
    @Field(type = FieldType.Double)
    private Double Ua;

    /**
     * AB线电压
     */
    @Field(type = FieldType.Double)
    private Double Uab;

    /**
     * B相电压
     */
    @Field(type = FieldType.Double)
    private Double Ub;

    /**
     * BC线电压
     */
    @Field(type = FieldType.Double)
    private Double Ubc;

    /**
     * 零序电压不平衡度
     */
    @Field(type = FieldType.Double)
    private Double UblU0;

    /**
     * 负序电压不平衡度
     */
    @Field(type = FieldType.Double)
    private Double UblU2;

    /**
     * C相电压
     */
    @Field(type = FieldType.Double)
    private Double Uc;

    /**
     * CA线电压
     */
    @Field(type = FieldType.Double)
    private Double Uca;

    /**
     * 电压暂降次数
     */
    @Field(type = FieldType.Integer)
    private Integer Udt;

    /**
     * 线路侧电压
     */
    @Field(type = FieldType.Double)
    private Double Ul;

    /**
     * 电压暂升次数
     */
    @Field(type = FieldType.Integer)
    private Integer Upt;

    /**
     * 电压短时中断次数
     */
    @Field(type = FieldType.Integer)
    private Integer Ust;

    /**
     * 冻结时间
     */
    @Field(type = FieldType.Date)
    private Date freezingTime;

    /**
     * 上报时间
     */
    @Field(type = FieldType.Date)
    private Date dataTime;
}
