package com.bizmatics.service;

import com.bizmatics.model.HtAnalogData;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.service.vo.CommonIcoVO;
import com.bizmatics.service.vo.HadCountVO;
import com.bizmatics.service.vo.TimeShareVO;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
public interface HtAnalogDataService extends CrudService<HtAnalogData> {


    /**
     * 日/月/年用电量
     * @return
     */
    HadCountVO selectCount();

    /**
     * 用电趋势图
     * @param siteId
     * @return
     */
    List<CommonIcoVO> selectTrendByDate(Integer siteId);


    /**
     * 用电趋势图
     * @return
     */
    List<CommonIcoVO> selectTrendByMonth();



    /**
     * 站点日/月/年用电量
     * @return
     */
    HadCountVO getCountBySite(Integer siteId);


    /**
     * 分时电量
     * @param siteId
     * @param type
     * @return
     */
    TimeShareVO getTimeShare(Integer siteId, Integer type);

    /**
     * 需量趋势图
     * @param siteId
     * @return
     */
    List<CommonIcoVO> getDemandIco(Integer siteId);

    /**
     * 电流
     * @param siteId
     * @param date
     * @return
     */
    List<CommonIcoVO> getElectricIco(Integer siteId,Date date);



}
