package com.bizmatics.service;

import com.bizmatics.model.Site;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.service.vo.DeviceCountVO;
import com.bizmatics.service.vo.SiteVO;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
public interface SiteService extends CrudService<Site> {


    /**
     * 查看不同状态的站点数量
     * @return
     */
    DeviceCountVO selectCount();


    /**
     * 查看站点列表
     * @param name
     * @return
     */
    List<Site> list(String name);


    /**
     * 查看站点和状态
     * @param name
     * @return
     */
    List<SiteVO> siteAndStatusList(String name);




    /**
     * 查看站点详情
     * @param siteId
     * @return
     */
    SiteVO getOne(Long siteId);


}
