package com.bizmatics.service.enums;

import com.bizmatics.common.core.exception.BusinessException;
import org.bouncycastle.asn1.cmc.LraPopWitness;

import java.lang.management.OperatingSystemMXBean;
import java.nio.file.OpenOption;
import java.util.Optional;

/**
 * @author yq
 * @date 2021/7/7 14:48
 */
public enum DeviceStatusCode {

    /**
     * 正常
     */
    NORMAL(0,"正常"),
    /**
     * 离线
     */
    OFFLINE(1,"离线"),
    /**
     * 故障
     */
    FAULT(4,"故障"),
    /**
     * 告警
     */
    DEVICE(77,"告警"),

    OHTER(78,"其他");
    private final Integer value;
    private final String describe;

    DeviceStatusCode(Integer value,String describe){
        this.value = value;
        this.describe = describe;
    }

    public static DeviceStatusCode pase(Integer value){
        DeviceStatusCode dc = null;
        for (DeviceStatusCode deviceStatusCode:DeviceStatusCode.values()) {
            if (deviceStatusCode.getValue().equals(value)){
                dc =  deviceStatusCode;
            }
        }
        return Optional.ofNullable(dc).orElse(OHTER);
    }

    public Integer getValue(){
        return this.value;
    }


    public String getDescribe(){
        return this.describe;
    }
}
