package com.bizmatics.service.enums;

import com.bizmatics.common.core.exception.BusinessException;

import java.util.Optional;

/**
 * @author yq
 * @date 2021/7/9 14:53
 */
public enum DeviceType {

    /**
     * 1：183用电设备
     */
    ONE_EIGHT_THREE_EP("1","183用电设备"),
    /**
     * 2：视频监控设备
     */
    VODEO_MONITROING("2","视频监控设备"),
    /**
     * 3：171用电设备
     */
    ONE_SEVEN_ONE_EP("3","171用电设备"),
    /**
     * 4：173用电设备
     */
    ONE_SEVEN_THREE_EP("4","173用电设备"),
    /**
     * 5：158智能网关
     */
    ONE_FIVE_EIGHT_ZUUL("5","158智能网关"),

    /**
     * 6：其他
     */
    OTHER("6","其他");
    private final String value;

    private final String name;

    DeviceType(String value,String name) {
        this.value = value;
        this.name = name;

    }
    public static DeviceType pase(String value){
        DeviceType dc = null;
        for (DeviceType deviceType:DeviceType.values()) {
            if (deviceType.getValue().equals(value)){
                dc =  deviceType;
            }
        }
        return Optional.ofNullable(dc).orElse(OTHER);
    }

    public String getValue(){
        return this.value;
    }

    public String getName() {
        return this.name;
    }
}
