package com.bizmatics.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.bizmatics.common.core.exception.BusinessException;
import com.bizmatics.model.User;
import com.bizmatics.persistence.mapper.UserMapper;
import com.bizmatics.service.UserService;
import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.service.util.SessionLocal;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.sql.Wrapper;
import java.util.Optional;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Service
public class UserServiceImpl extends AbstractCrudService<UserMapper, User> implements UserService {

    @Override
    public User login(String name, String password, HttpServletRequest request) {
        User user = baseMapper.selectOne(Wrappers.lambdaQuery(User.class)
                .eq(User::getUserName, name)
                .eq(User::getUserPassword, password));
        //存储session
        request.getSession().setAttribute( "sessionuser", user );
        //存储ThreadLocal
        SessionLocal.setUser( user );
        return Optional.ofNullable(user).orElseThrow(() -> new BusinessException("用户信息为空"));

    }
}
