package com.bizmatics.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author yq
 * @date 2021/7/13 16:21
 */
@Data
public class AlarmPowerExportVO {
    /**
     * 电力告警表ID
     */
    private Integer id;

    /**
     * 阿里云平台设备名称
     */
    @Excel(name = "设备名称", height = 6, width = 20)
    private String deviceCode;

    /**
     * 告警名称
     */
    @Excel(name = "告警名称", height = 6, width = 20)
    private String alarmName;

    /**
     * 发送时间
     */
    @Excel(name = "发送时间", height = 6, width = 20)
    private Date sendingTime;

    /**
     * 告警类型（alert 告警）
     */
    @Excel(name = "告警类型", height = 6, width = 20)
    private String alarmType;

    /**
     * 测点名称
     */
    @Excel(name = "测点名称", height = 6, width = 20)
    private String measName;

    /**
     * 遥信值（0  正常  1 告警）
     */
    @Excel(name = "遥信值", height = 6, width = 20)
    private Integer digitalValue;

    /**
     * 测点描述
     */
    @Excel(name = "测点描述", height = 6, width = 20)
    private String measDesc;

    /**
     * 发生时间
     */
    @Excel(name = "发生时间", height = 6, width = 20)
    private Date soeTime;

    /**
     * 处理人
     */
    @Excel(name = "处理人", height = 6, width = 20)
    private String handler;

    /**
     * 处理时间
     */
    @Excel(name = "处理时间", height = 6, width = 20)
    private Date handlingTime;

    /**
     * 处理内容
     */
    @Excel(name = "处理内容", height = 6, width = 20)
    private String handlingContent;

    /**
     * 联系电话
     */
    @Excel(name = "联系电话", height = 6, width = 20)
    private String handlerPhone;

    /**
     * 处理状态（0 未处理，1 已处理）
     */
    @Excel(name = "处理状态", height = 6, width = 20)
    private Integer handlingStatus;
}
